Name:           perl-Class-Trigger
Version:        0.15
Release:    2%{?dist}
Summary:        Mixin to add / call inheritable triggers
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Class-Trigger
Source0:        https://cpan.metacpan.org/modules/by-module/Class/Class-Trigger-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.59
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(base)
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(IO::WrapTie)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.32

%description
%{summary}.

%prep
%setup -q -n Class-Trigger-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Class/
%{_mandir}/man3/Class::Trigger.3*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.15-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15-1
- initial build
